<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: sliding_login_panel.php
| Author: Mehmet IPEK
| Name: Sliding Login Panel
| Version: 1.0
| Support Site: http://www.phpfusionturkiye.com/
| Site: http://www.karakecili-asireti.com/
+--------------------------------------------------------*
| Sliding login panel with jQuery by Web-Kreation
| http://web-kreation.com/tutorials/nice-clean-sliding-login-panel-built-with-jquery/
+--------------------------------------------------------*
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied!"); }
include LOCALE.LOCALESET."admin/main.php";
include LOCALE.LOCALESET."submit.php";
include INFUSIONS."sliding_login_panel/infusion_db.php";

if (file_exists(INFUSIONS."sliding_login_panel/locale/".$settings['locale'].".php")) {
include INFUSIONS."sliding_login_panel/locale/".$settings['locale'].".php";
} else {
include INFUSIONS."sliding_login_panel/locale/English.php";
}

$setingsslp = dbarray(dbquery("SELECT * FROM ".DB_SLOGIN));

if ($setingsslp['statuslp'] == "1")  {
add_to_head("
	<!-- PNG FIX for IE6 -->
  	<!-- http://24ways.org/2007/supersleight-transparent-png-in-ie6 -->
	<!--[if lte IE 6]>
		<script type='text/javascript' src='".INFUSIONS."sliding_login_panel/includes/pngfix/supersleight-min.js'></script>
	<![endif]-->
	<!--[if lt IE 7]> 
	<script type='text/javascript' src='".INFUSIONS."sliding_login_panel/includes/pngfix/pngDuzenlemeKodu.js'></script> 
	<![endif]-->
");
add_to_head("
	<script type='text/javascript' src='".INFUSIONS."sliding_login_panel/includes/slide.js'></script>
	<link rel='stylesheet' href='".INFUSIONS."sliding_login_panel/includes/slide.css' type='text/css' media='screen' />	
");
global $locale;
echo "<div id='toppanel'>\n";
	echo "<div id='slidepanel'>\n";
		echo $locale['copyright_slp'];	
		echo "<div class='content slideclearfix'>\n";
			echo "<div class='left'>\n";
				if(iSUPERADMIN) {
					$members_registered = dbcount("(user_id)", DB_USERS, "user_status<='1' OR user_status='3' OR user_status='5'");
					$members_unactivated = dbcount("(user_id)", DB_USERS, "user_status='2'");
					$members_security_ban = dbcount("(user_id)", DB_USERS, "user_status='4'");
					$members_canceled = dbcount("(user_id)", DB_USERS, "user_status='5'");
				  if (checkrights("M")) {
					$data = dbarray(dbquery("SELECT user_id,user_name FROM ".DB_PREFIX."users WHERE user_status='0' ORDER BY user_joined DESC LIMIT 0,1"));
					echo "<h1>Informacje o zarejestrowanych</h1>\n";
					echo "<h2><a href='".ADMIN."members.php".$aidlink."'>".$locale['251']."</a> $members_registered</h2>\n";		
					echo "<h2><a href='".ADMIN."members.php".$aidlink."&amp;status=2'>".$locale['252']."</a> $members_unactivated</h2>\n";		
					echo "<h2><a href='".ADMIN."members.php".$aidlink."&amp;status=4'>".$locale['253']."</a> $members_security_ban</h2>\n";		
					echo "<h2><a href='".ADMIN."members.php".$aidlink."&amp;status=5'>".$locale['263']."</a> $members_canceled</h2>\n";
					if ($settings['enable_deactivation'] == "1") {
					$time_overdue = time() - (86400 * $settings['deactivation_period']);
					$members_inactive = dbcount("(user_id)", DB_USERS, "user_lastvisit<'$time_overdue' AND user_actiontime='0' AND user_joined<'$time_overdue' AND user_status='0'");
					echo "<a href='".ADMIN."members.php".$aidlink."&amp;status=8'>".$locale['264']."</a> $members_inactive<br />\n";
					}
					echo "<h2>".$locale['slp_11']." <a href='".BASEDIR."profile.php?lookup=".$data['user_id']."' class='side' title='".$data['user_name']."'>".trimlink($data['user_name'],17)."</a></h2>\n";		
				  }			
				}elseif (iMEMBER) {
					echo "<h1>".$locale['slp_24']."</h1>\n";
					echo "<h2>".$locale['slp_25']."</h2>\n";
					$resultn = dbquery("SELECT tn.*, tc.*
					FROM ".DB_NEWS." tn LEFT JOIN ".DB_USERS." tu ON tn.news_name=tu.user_id LEFT JOIN ".DB_NEWS_CATS." tc ON tn.news_cat=tc.news_cat_id WHERE ".groupaccess('news_visibility')." 
					AND (news_start='0'||news_start<=".time().") AND (news_end='0'||news_end>=".time().") AND news_draft='0' ORDER BY news_sticky DESC, news_datestamp DESC LIMIT 0,1");
					if (dbrows($resultn)) { while ($data = dbarray($resultn)) {
					echo "<p class='grey'><a href='news.php?readmore=".$data['news_id']."' title='".trimlink(strip_tags(stripslashes($data['news_subject'])), 100)."'>".trimlink(strip_tags(stripslashes($data['news_subject'])), 100)."</a> [".strftime('%d.%m.%Y', $data['news_datestamp']+($settings['timeoffset']*3600))."]</p>\n";
					}}
					echo "<h2>".$locale['slp_26']."</h2>\n";
					$resulta = dbquery("SELECT ta.article_datestamp, ta.article_id, ta.article_name, ta.article_subject, tac.article_cat_access FROM ".DB_ARTICLES." ta 
					INNER JOIN ".DB_ARTICLE_CATS." tac ON ta.article_cat=tac.article_cat_id LEFT JOIN ".DB_USERS." tu ON ta.article_name=tu.user_id WHERE ".groupaccess('article_cat_access')." 
					AND article_draft='0' ORDER BY article_id DESC LIMIT 0,1");
					if (dbrows($resulta)) { while ($data = dbarray($resulta)) {
					echo "<p class='grey'><a href='".(isset($data['link']) ? $data['link'] : BASEDIR."articles.php?article_id=".$data['article_id'])."' title='".trimlink(strip_tags(stripslashes($data['article_subject'])), 70)."'>".trimlink(strip_tags(stripslashes($data['article_subject'])), 100)."</a> [".strftime('%d.%m.%Y', $data['article_datestamp']+($settings['timeoffset']*3600))."]</p>\n";
					}}
					echo "<h2>".$locale['slp_27']."</h2>\n";
					$resultd = dbquery("SELECT td.download_id, td.download_title, td.download_cat, td.download_datestamp, tc.download_cat_id, tc.download_cat_access FROM ".DB_DOWNLOADS." td INNER JOIN ".DB_DOWNLOAD_CATS." tc 
					ON td.download_cat=tc.download_cat_id ".(iSUPERADMIN ? "" : " WHERE ".groupaccess('download_cat_access'))." ORDER BY download_datestamp DESC LIMIT 0,1");
					if (dbrows($resultd)) { while ($data = dbarray($resultd)) {
					echo "<p class='grey'><a href='".BASEDIR."downloads.php?download_id=".$data['download_id']."' title='".$data['download_title']."' class='side'>".trimlink($data['download_title'], 23)."</a> [".showdate("shortdate", $data['download_datestamp'])."]</p>\n";
					}}
					echo "<h2>".$locale['slp_28']."</h2>\n";
					if (!isset($lastvisited) || !isnum($lastvisited)) { $lastvisited = time(); }
					$data = dbarray(dbquery("SELECT tt.thread_lastpost FROM ".DB_FORUMS." tf INNER JOIN ".DB_THREADS." tt ON tf.forum_id = tt.forum_id
					WHERE ".groupaccess('tf.forum_access')." AND thread_hidden='0' ORDER BY tt.thread_lastpost DESC LIMIT 0,1"
					));
					$timeframe = empty($data['thread_lastpost']) ? 0 : $data['thread_lastpost'];
					$resultf = dbquery("SELECT tt.thread_id, tt.thread_subject, tt.thread_views, tt.thread_lastuser, tt.thread_lastpost, tf.forum_id, tf.forum_name, tf.forum_access, tt.thread_lastpostid, tt.thread_postcount
					FROM ".DB_THREADS." tt INNER JOIN ".DB_FORUMS." tf ON tt.forum_id=tf.forum_id INNER JOIN ".DB_USERS." tu ON tt.thread_lastuser=tu.user_id WHERE ".groupaccess('tf.forum_access')." AND tt.thread_lastpost >= ".$timeframe." AND tt.thread_hidden='0'
					ORDER BY tt.thread_lastpost DESC LIMIT 0,1"
					);
					if (dbrows($resultf)) { while ($data = dbarray($resultf)) {
					echo "<p class='grey'><a href='".FORUM."viewthread.php?thread_id=".$data['thread_id']."&amp;pid=".$data['thread_lastpostid']."#post_".$data['thread_lastpostid']."' title='".$data['thread_subject']."'>".trimlink($data['thread_subject'], 30)."</a> [".showdate("forumdate", $data['thread_lastpost'])."]</p>\n";
					}}
				} else {			
				echo "<h1>".stripslashes($setingsslp['headline'])."</h1>\n";
				echo "<h2>".stripslashes($setingsslp['subheadline'])."</h2>\n";	
				$content = nl2br(parseubb(parsesmileys($setingsslp['content']), "smiley|url|img|b|i|u|left|center|right|small|big|color"));			
				echo "<p class='grey'>".$content."</p>\n";
				}
			echo "</div>\n";
			echo "<div class='left'>\n";
				if (iMEMBER) {
					$msg_count = dbcount("(message_id)", DB_MESSAGES, "message_to='".$userdata['user_id']."' AND message_read='0' AND message_folder='0'");
					echo "<h1>".$userdata['user_name']."";
					echo "</h1>\n";
					echo "<h2>".THEME_BULLET." <a href='".BASEDIR."edit_profile.php' class='side'>".$locale['global_120']."</a></h2>\n";		
					echo "<h2>".THEME_BULLET." <a href='".BASEDIR."messages.php' class='side'>".$locale['global_121']."</a></h2>\n";		
					echo "<h2>".THEME_BULLET." <a href='".BASEDIR."members.php' class='side'>".$locale['global_122']."</a></h2>\n";		
					if (iADMIN && (iUSER_RIGHTS != "" || iUSER_RIGHTS != "C")) {
					echo "<h2>".THEME_BULLET." <a href='".ADMIN."index.php".$aidlink."' class='side'>".$locale['global_123']."</a></h2>\n";	
					}
					echo "<h2>".THEME_BULLET." <a href='".BASEDIR."index.php?logout=yes' class='side'>".$locale['global_124']."</a></h2>\n";						
					if ($msg_count) {
					echo "<h2><strong><a href='".BASEDIR."messages.php' class='side'>".sprintf($locale['global_125'], $msg_count).($msg_count == 1 ? $locale['global_126'] : $locale['global_127'])."</a></strong></h2>\n";	
					}
					if (iADMIN && checkrights("SU")) {
					$subm_count = dbcount("(submit_id)", DB_SUBMISSIONS);
					if ($subm_count) {
					echo "<h2><strong><a href='".ADMIN."submissions.php".$aidlink."' class='side'>".sprintf($locale['global_125'], $subm_count).($subm_count == 1 ? $locale['global_128'] : $locale['global_129'])."</a></strong></h2>\n";		
					}
					}
				} else {
					if (!preg_match('/login.php/i',FUSION_SELF)) {
						$action_url = FUSION_SELF.(FUSION_QUERY ? "?".FUSION_QUERY : "");
						if (isset($_GET['redirect']) && strstr($_GET['redirect'], "/")) {
							$action_url = cleanurl(urldecode($_GET['redirect']));
						}				
					echo "<h1>".$locale['global_100']."</h1>\n";
					echo "<form class='slideclearfix' name='loginform' method='post' action='".$action_url."'>\n";
					echo "<label class='grey' for='user_name'>".$locale['global_101']."</label>\n";
					echo "<input class='textbox field' type='text' name='user_name' id='user_name' size='23' />\n";						
					echo "<label class='grey' for='user_pass'>".$locale['global_102']."</label>\n";
					echo "<input class='textbox field' type='password' name='user_pass' id='user_pass' size='23' />\n";	            	
					echo "<label><input name='remember_me' id='remember_me' type='checkbox' checked='checked' value='y' /> &nbsp;".$locale['global_103']."</label>\n";
					echo "<div class='slideclear'></div>\n";
					echo "<input type='submit' name='login' value='".$locale['global_104']."' class='bt_login' />\n";
					echo "<a class='lost-pwd' href='".BASEDIR."lostpassword.php'>".$locale['slp_15']."</a>\n";
					echo "</form>\n<br />\n";
					}
				}			
			echo "</div>\n";
			if (iMEMBER) {
			echo "<div class='left_avatar'>\n";
						if ($userdata['user_avatar'] && file_exists(IMAGES."avatars/".$userdata['user_avatar'])) {
							echo "<img src='".IMAGES."avatars/".$userdata['user_avatar']."' alt='user_avatar' height='50' width='50' />\n";
						}	else {
							echo "<img src='".IMAGES."avatars/noavatar50.png' alt='out' />\n";
						}			
			echo "</div>\n";
			}
			echo "<div class='left right'>\n";
				if(iSUPERADMIN) {
					echo "<h1>".$locale['223']."</h1>\n";
					echo "<h2>".(checkrights("SU") ? "<a href='".ADMIN."submissions.php".$aidlink."#news_submissions'>".$locale['254']."</a>" : $locale['254'])." ".dbcount("(submit_id)", DB_SUBMISSIONS, "submit_type='n'")."</h2>\n";		
					echo "<h2>".(checkrights("SU") ? "<a href='".ADMIN."submissions.php".$aidlink."#article_submissions'>".$locale['255']."</a>" : $locale['255'])." ".dbcount("(submit_id)", DB_SUBMISSIONS, "submit_type='a'")."</h2>\n";		
					echo "<h2>".(checkrights("SU") ? "<a href='".ADMIN."submissions.php".$aidlink."#link_submissions'>".$locale['256']."</a>" : $locale['256'])." ".dbcount("(submit_id)", DB_SUBMISSIONS, "submit_type='l'")."</h2>\n";		
					echo "<h2>".(checkrights("SU") ? "<a href='".ADMIN."submissions.php".$aidlink."#photo_submissions'>".$locale['260']."</a>" : $locale['260'])." ".dbcount("(submit_id)", DB_SUBMISSIONS, "submit_type='p'")."</h2>\n";		
					echo "<h2>".(checkrights("SU") ? "<a href='".ADMIN."submissions.php".$aidlink."#download_submissions'>".$locale['265']."</a>" : $locale['265'])." ".dbcount("(submit_id)", DB_SUBMISSIONS, "submit_type='d'")."</h2>\n";											
				}elseif (iMEMBER) {
					echo "<h1>".$locale['slp_16']."</h1>\n";
					echo "<h2><a href='".BASEDIR."submit.php?stype=n'>".$locale['450']."</a></h2>\n";		
					echo "<h2><a href='".BASEDIR."submit.php?stype=a'>".$locale['500']."</a></h2>\n";		
					echo "<h2><a href='".BASEDIR."submit.php?stype=l'>".$locale['400']."</a></h2>\n";		
					echo "<h2><a href='".BASEDIR."submit.php?stype=p'>".$locale['570']."</a></h2>\n";		
					echo "<h2><a href='".BASEDIR."submit.php?stype=d'>".$locale['650']."</a></h2>\n";			
				} else {
					if ($settings['enable_registration']) {
					echo "<h1>".stripslashes($setingsslp['regmessage'])."</h1>\n";
					$regcontent = nl2br(parseubb(parsesmileys($setingsslp['regcontent']), "smiley|url|img|b|i|u|left|center|right|small|big|color"));			
					echo "<h2>".$regcontent."</h2>\n";
					echo "<form action='".BASEDIR."register.php' method='post'>\n";	
					echo "<input type='submit' name='submit' value='".$locale['global_107']."' class='bt_register' />\n";
					echo "</form>\n";
					}else{
					echo "<h1>".stripslashes($setingsslp['regmessage'])."</h1>\n";
					$regcontent = nl2br(parseubb(parsesmileys($setingsslp['regcontent']), "smiley|url|img|b|i|u|left|center|right|small|big|color"));			
					echo "<h2>".$regcontent."</h2>\n";					
					}
				}
			echo "</div>\n";
		echo "</div>\n";
	echo "</div>\n"; 	
	echo "<div class='tab'>\n";
		echo "<ul class='login'>\n";
			echo "<li class='left'>&nbsp;</li>\n";
			if (iMEMBER) {
				if ($msg_count) {
			echo "<li>".$userdata['user_name']."&nbsp;<strong><a href='".BASEDIR."messages.php' class='side'>".sprintf($locale['global_125'], $msg_count).($msg_count == 1 ? $locale['global_126'] : $locale['global_127'])."</a></strong></li>\n";	
				}else{
			echo "<li>".$userdata['user_name']."</li>\n";
				}		
			} else {
			echo "<li>".$locale['slp_19']."</li>\n";
			}
			echo "<li class='sep'>|</li>\n";
			echo "<li id='toggle'>\n";
				if (iMEMBER) {
				echo "<a id='open' class='open' href='#'>".$locale['slp_20']."</a>\n";
				} else {
				echo "<a id='open' class='open' href='#'>".$locale['slp_21']."</a>\n";
				}
				echo "<a id='close' style='display: none;' class='close' href='#'>".$locale['slp_22']."</a>\n";
			echo "</li>\n";
			echo "<li class='right'>&nbsp;</li>\n";
		echo "</ul>\n";
	echo "</div>\n"; 
echo "</div>\n";
}
?>
