<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: sliding_login_panel_admin.php
| Author: Mehmet IPEK
| Name: Sliding Login Panel
| Version: 1.0
| Support Site: http://www.phpfusionturkiye.com/
| Site: http://www.karakecili-asireti.com/
+--------------------------------------------------------*
| Image w/ description tooltip v2.0 by Dynamic Drive
| http://www.dynamicdrive.com/dynamicindex4/imagetooltip.htm
+--------------------------------------------------------*
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
include LOCALE.LOCALESET."admin/settings.php";
require_once INCLUDES."bbcode_include.php";
include INFUSIONS."sliding_login_panel/infusion_db.php";

if (!checkrights("SLP")||!defined("iAUTH")||$_GET['aid']!=iAUTH) { redirect("../index.php"); }

if (file_exists(INFUSIONS."sliding_login_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."sliding_login_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."sliding_login_panel/locale/English.php";
}

if (isset($_GET['error']) && isnum($_GET['error']) && !isset($message)) {
	if ($_GET['error'] == 0) {
		$message = $locale['900'];
	} elseif ($_GET['error'] == 1) {
		$message = $locale['901'];
	}
	if (isset($message)) {
		echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; 
	}
}

$setingsslp = dbarray(dbquery("SELECT * FROM ".DB_SLOGIN.""));
$error = 0;

		if (isset($_POST['complete'])) {
			$result = dbquery("UPDATE ".DB_SLOGIN." SET
			statuslp='".(isNum($_POST['statuslp']) ? $_POST['statuslp'] : "0")."',	
			headline ='".addslash(descript($_POST['headline']))."',
			subheadline ='".addslash(descript($_POST['subheadline']))."',
			content ='".addslash(descript($_POST['content']))."',
			regmessage ='".addslash(descript($_POST['regmessage']))."',
			regcontent ='".addslash(descript($_POST['regcontent']))."'
			");
			if (!$result) { $error = 1; }

			redirect(FUSION_SELF.$aidlink."&error=".$error);
		}

add_to_head("
	<script type='text/javascript' src='".INFUSIONS."sliding_login_panel/includes/ddimgtooltip.js'></script>
	<link rel='stylesheet' href='".INFUSIONS."sliding_login_panel/includes/ddimgtooltip.css' type='text/css' media='screen' />	
");
		
		opentable($locale['slp_00']);	
		echo"<div class='admin-message' align='center' style='font-weight:bold;'>".$locale['slp_02']."</div><br />\n";
		echo "<form name='settingslp' method='post' action='".FUSION_SELF.$aidlink."'>\n";
	echo "<table cellpadding='0' cellspacing='0' class='center' width='80%'>";
		echo "<tr><td width='40%' class='tbl'>".$locale['slp_03']."</td>\n";
		echo "<td class='tbl'><select name='statuslp' class='textbox'>\n";
		echo "<option value='1'".($setingsslp['statuslp'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
		echo "<option value='0'".($setingsslp['statuslp'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
		echo "</select></td></tr>\n";
		echo "<tr><td width='90%' align='center' class='tbl' colspan='2'><hr /></td></tr>\n";			
		echo "<tr><td class='tbl2' colspan='2'>".$locale['slp_04']."<img src='".INFUSIONS."sliding_login_panel/images/helpicon.png' style='float:right' rel='imgtip[0]'></td></tr>\n";
		echo "<tr><td width='40%' class='tbl'>".$locale['slp_05']."</td>";
		echo "<td class='tbl'><input type='text' class='textbox' name='headline' style='width:350px' value='".stripslashes($setingsslp['headline'])."' /></td></tr>\n";	
		echo "<tr><td width='40%' class='tbl'>".$locale['slp_06']."</td>";
		echo "<td class='tbl'><input type='text' class='textbox' name='subheadline' style='width:350px' value='".stripslashes($setingsslp['subheadline'])."' /></td></tr>\n";
		echo "<tr><td width='40%' align='left' valign='top' class='tbl'>".$locale['slp_07']."</td>";
		echo "<td class='tbl'><textarea rows='5' class='textbox' name='content' style='width:350px'>".stripslashes($setingsslp['content'])."</textarea><br />\n";
		echo display_bbcodes("350px", "content", "settingslp")."</td></tr>\n";
		echo "<tr><td class='tbl2' colspan='2'>".$locale['slp_08']."<img src='".INFUSIONS."sliding_login_panel/images/helpicon.png' style='float:right' rel='imgtip[1]'></td></tr>\n";
		echo "<tr><td width='40%' class='tbl'>".$locale['slp_09']."</td>";
		echo "<td class='tbl'><input type='text' class='textbox' name='regmessage' style='width:350px' value='".stripslashes($setingsslp['regmessage'])."' /></td></tr>\n";
		echo "<tr><td width='40%' align='left' valign='top' class='tbl'>".$locale['slp_10']."</td>";
		echo "<td class='tbl'><textarea rows='5' class='textbox' name='regcontent' style='width:350px'>".stripslashes($setingsslp['regcontent'])."</textarea><br />\n";
		echo display_bbcodes("350px", "regcontent", "settingslp")."</td></tr>\n";
		echo "<tr><td align='center' colspan='2' class='tbl'><hr width='40%'></hr></td></tr>\n";
		echo "<tr><td align='center' colspan='2' class='tbl'>\n";
		echo "<input type='submit' name='complete' value='".$locale['slp_23']."' class='button' />\n";
		echo "</td></tr>\n";
	echo "</table>\n";
		echo "</form>\n";
	echo "<br/><table cellpadding='0' cellspacing='0' class='center' width='100%'>";		
        echo "<tr><td align='center' colspan='2' class='tbl'><hr/></td></tr>\n";
		echo "<tr><td class='tbl'>";
		// Ltfen Copyright Silmeyiniz - Please don't delete copyright info 
		include INFUSIONS."sliding_login_panel/includes/copyright.php";
        echo sliding_login_panel();
		echo"</td></tr>\n";
	echo "</table>\n";
		// End copyright info	
closetable();
require_once THEMES."templates/footer.php";
?>